std::underlying_type< _Tp > Struct Template Reference
Utilities » Metaprogramming

Inherits std::__underlying_type_impl< _Tp, bool >.

## Public Types

using | type = __underlying_type(_Tp)

## Detailed Description

### template<typename _Tp>
struct std::underlying_type< _Tp >

The underlying type of an enum.

Definition at line 2143 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits